
#ifndef FLOWER_H
#define FLOWER_H

#include <stdlib.h>
#include <iostream>
using namespace std;

const int MAX_NAME = 10;

class Flower{
private:
	char* name;
	int price;
public:
	Flower();
	Flower(char*, int);
	Flower(const Flower &);
	Flower(char* s);
	~Flower();
	Flower& operator=(const Flower &);
	bool operator==(const Flower &);
	char* const getName();
	int getPrice();
	void setName(char*);
	void setPrice(int);
	char* toString();
};

#endif


