#include "Node.h"

Node::Node(){
	info = 0;
	next = NULL;
}

Node::Node(TE i, Node* n){
	info = i;
	next = n;
}

Node::Node(const Node &n){
	info = n.info;
	next = n.next;
}
Node::~Node(){
	
}

Node& Node::operator=(const Node &n){
	if (this != &n){
		this->info = n.info;
		this->next = n.next;
	}
	return *this;
}

void Node::setInfo(TE i){
	info = i;
}

void Node::setNext(Node* n){
	next = n;
}

TE Node::getInfo(){
	return info;
}

Node* Node::getNext(){
	return next;
}
