#ifndef LIST_H
#define lIST_H

#include "TElement.h"

class List{
private:
	class node{
	private:
		TE info;
		node* next;
	public:
		node();
		node(TE, node*);
		node(const node &);
		~node();
		void setInfo(TE);
		void setNext(node*);
		TE getInfo();
		node* getNext();
	};
	node* head;
	node* copy();
	void clear();
public:
	List();
	List(List& l);
	~List();
	List& operator=(List& l);
	void addInfo(TE i);
	int getLength();
	TE getElem(int pos);
	void removeElem(TE i);
	class iterator;
	friend class List::iterator;
	
	class iterator{
		private:
			List* l;
			node* crt;
		public:
			iterator(List* l){
				this->l = l;
				crt = l->head;
			}
			~iterator(){
			}
			void moveNext(){
				crt = crt->getNext();
			}
			bool hasNext(){
				return (crt->getNext() != NULL);
			}
			bool isValid(){
				return (crt != NULL);
			}
			TE getCrtElem(){
				return crt->getInfo();
			}
			void moveFirst(){	//restart
				crt = l->head;
			}
			void operator++(){
				crt = crt->getNext();
			}
			bool operator!(){
				return (crt != NULL);
			}
			TE operator()(){
				return crt->getInfo();
			}
		};//class iterator
	iterator* getIterator();
};
#endif