#ifndef LIST_H
#define lIST_H

#include "TElement.h"

class List{
private:
	class node{
	private:
		TE info;
		node* next;
	public:
		node();
		node(TE, node*);
		node(const node &);
		~node();
		node& operator=(const node &);
		void setInfo(TE);
		void setNext(node*);
		TE getInfo();
		node* getNext();
	};

	node* head;
	node* copy();	//private function
	void clear();	//private function
public:
	List();
	List(List&);
	~List();
	List& operator=(List&);
	void addInfo(TE);
	int getLength();
	TE getElem(int);
	void removeElem(TE);
};

#endif