#ifndef LIST_H
#define lIST_H

#include "Node.h"

class List{
private:
	Node* head;
	Node* copy();
	void clear();
public:
	List();
	List(List& l);
	~List();
	List& operator=(List& l);
	void addInfo(TE i);
	int getLength();
	TE getElem(int pos);
	void removeElem(TE i);
	class iterator;
	friend class List::iterator;
	
	class iterator{
		private:
			List* l;
			Node* crt;
		public:
			iterator(List* l){
				this->l = l;
				crt = l->head;
			}
			~iterator(){
			}
			void moveNext(){
				crt = crt->getNext();
			}
			bool hasNext(){
				return (crt->getNext() != NULL);
			}
			bool isValid(){
				return (crt != NULL);
			}
			TE getCrtElem(){
				return crt->getInfo();
			}
			void moveFirst(){	//restart
				crt = l->head;
			}
			void operator++(){
				crt = crt->getNext();
			}
			bool operator!(){
				return (crt != NULL);
			}
			TE operator()(){
				return crt->getInfo();
			}
		};
	iterator* getIterator();
};
#endif