#include "Team.h"

//Descr: create a team 
//In: -
//Out: an empty instance of Team
Team::Team(){
}

//Descr: create a copy of a team 
//In: a team t
//Out: a new instance of Team = a copy of t
Team::Team(const Team &t){
	m = t.m;
}

//Descr: distroy a team 
//In: a team
//Out: - (destructor)
Team::~Team(){
}

//Descr: create a new Team (equal to a given team t)
//In: a team (t)
//Out: a new team (equal to t)
Team& Team::operator=(const Team &t){
	if (this != &t){
		m = t.m;
	}
	return *this;
}

//Descr: change the manager  of a team
//In: a team and a manager 
//Out: the team with changed manager
void Team::setManager(Manager &m){
	this->m = m;
}

//Descr: access the manager of a team
//In: a team
//Out: the manager of the team
Manager& Team::getManager(){
	return m;
}